## modconf 0.2.1

=== Makefile ===
all:

install:
	cp modconf $(DESTDIR)/usr/sbin
	chmod 755 $(DESTDIR)/usr/sbin/modconf
	chown root.root $(DESTDIR)/usr/sbin/modconf
	mkdir -p -m 755 $(DESTDIR)/usr/lib/module_help
	cp --no-dereference --recursive module_help/. $(DESTDIR)/usr/lib/module_help/.

clean:

=== debian/changelog ===
modconf (0.2.1) unstable; urgency=low

  * Remove tset references, replace with ANSI sequences for now.
    Tset isn't on the boot floppy. Fix the '*' problem again, perhaps
    this time for good.

 -- Bruce Perens <bruce@beagle.pixar.com>  Sun, 8 Dec 1996 16:54:27 -0800

modconf (0.2.0) unstable; urgency=low

  * Remove bug that "*" appeared as a selection in an otherwise empty menu.
  * Add some module documentation.

 -- Bruce Perens <bruce@beagle.pixar.com>  Tue, 3 Dec 1996 19:41:38 -0800

modconf (0.1.0-4) unstable; urgency=low

  * Initial Release.

 -- Bruce Perens <bruce@beagle.pixar.com>  Tue, 3 Dec 1996 19:37:59 -0800

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: modconf
Section: base
Priority: standard
Maintainer: Bruce Perens <bruce@pixar.com>
Standards-Version: 2.1.1.0

Package: modconf
Architecture: all
Depends: dialog, bash
Description: Device Driver Configuration
 Modconf providea a GUI for installing and configuring device driver modules.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian.rules file - for GNU Hello (1.3).
# Copyright 1994,1995 by Ian Jackson.
# I hereby give you perpetual unlimited permission to copy,
# modify and relicense this file, provided that you do not remove
# my name from the file itself.  (I assert my moral right of
# paternity under the Copyright, Designs and Patents Act 1988.)
# This file may have to be extensively modified
#
# Modified to be a prototype for debmake by Christoph Lameter <clameter@debian.org>

package=modconf

build:
	$(checkdir)
	make

	touch build

clean:
	$(checkdir)
	-rm -f build
	-make clean
	-rm `find . -name "*~"`
	-rm -rf debian/tmp debian/files* core

binary-indep:	checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch:	checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp/usr/{bin,sbin}
	make install DESTDIR=`pwd`/debian/tmp
# Must have debmake installed for this to work. Otherwise please copy
# /usr/bin/debstd into the debian directory and change debstd to debian/debstd
	debstd $(package)
	dpkg-gencontrol
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..

define checkdir
	test -f debian/rules
endef

# Below here is fairly generic really

binary:		binary-indep binary-arch

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## modconf 0.2.12

=== Makefile ===
HOWTO=/usr/doc/HOWTO/Module-HOWTO.gz

all:	descr.gz #eval.gz

install:
	cp modconf $(DESTDIR)/usr/sbin
	chmod 755 $(DESTDIR)/usr/sbin/modconf
	chown root.root $(DESTDIR)/usr/sbin/modconf
	mkdir -p -m 755 $(DESTDIR)/usr/lib/module_help
	cp {eval,descr.gz} $(DESTDIR)/usr/lib/module_help/

descr.gz:	descr.additional $(HOWTO) mkdescr.pl
	rm -f descr
	if [ -f descr.additional ]; then cp descr.additional descr; fi
	echo >>descr
	echo >>descr
	zcat $(HOWTO) | perl mkdescr.pl >> descr
	gzip -9f descr

#eval.gz:	eval
#	cat eval| sed -e 's/"$$/";/'| gzip -9 >eval.gz

clean:
	rm -f debian/*~ *~ descr.gz descr eval.gz

=== debian/changelog ===
modconf (0.2.12) frozen unstable; urgency=low

  * modconf: new /etc/conf.modules parsing and editing; fixes nasty bugs
  * modconf: fixes bug with leading sapce in One_Restricted_Section
  
 -- Sven Rudolph <sr1@inf.tu-dresden.de>  Thu,  5 Jun 1997 22:01:20 +0200

modconf (0.2.11) frozen unstable; urgency=low

  * mkdescr.pl: " were escaped too much (Bug#9986)
  * modconf: skip empty shell scripts
  * modconf: fixed expansion of truncated module names (don't load
             mcdx instead of mcd)

 -- Sven Rudolph <sr1@inf.tu-dresden.de>  Tue, 27 May 1997 01:14:06 +0200

modconf (0.2.10) frozen unstable; urgency=low

  * descr.additional: changed sbpcd info; SoundBlaster keyword doesn't
                                          work
  * eval: added summaries for b1pci, capi, capidrv, capiutil, hisax, 
                              kernelcapi, sc, softdog
          removed trailing dots
  * modconf: don't exit edit_arguments on missing description

 -- Sven Rudolph <sr1@inf.tu-dresden.de>  Tue, 20 May 1997 01:17:49 +0200

modconf (0.2.9) frozen unstable; urgency=low

  * descr.additional: added info for sbpcd
                      shortened entry for tulip
		      added entry for umsdos
  * Makefile: remove zcat workaround (zcat has been fixed)
  * eval: summary_isp16 changed
  * modconf: don't exit edit_arguments on missing description

 -- Sven Rudolph <sr1@inf.tu-dresden.de>  Thu, 8 May 1997 15:48:23 +0200

modconf (0.2.8) frozen unstable; urgency=low

  * descr.additional: removed baycom and xd entries
  * Makefile: feed gzip via stdin (busybox zcat limitation)
  * modconf: edit_arguments: changed infoBox to msgBox

 -- Sven Rudolph <sr1@inf.tu-dresden.de>  Fri, 25 Apr 1997 03:54:07 +0200

modconf (0.2.7) frozen unstable; urgency=low

  * modconf: use sh instead of ash (#8698)
  * eval: shortened ISDN description
  * eval: fixed some typos
  * eval: added summaries for baycom (#9044) and xd
  * eval: corrected CD device names
  * modconf: assume that the floppy is mounted at /floppy

 -- Sven Rudolph <sr1@inf.tu-dresden.de>  Fri, 25 Apr 1997 03:54:07 +0200

modconf (0.2.6) frozen unstable; urgency=low

  * modconf: parse NoParams lines and ignore them
  * modconf: show only 12 characters of module name as module menu keys
  * modconf: shorter Exit menu text in order to avoid line wrap

 -- Sven Rudolph <sr1@inf.tu-dresden.de>  Thu, 10 Apr 1997 17:25:07 +0200

modconf (0.2.5) frozen unstable; urgency=low

  * descr.additional: entry for g_NCR5380 added
  * modconf: corrected return code handling in module_args 
  * mkdescr.pl, modconf: added NoParams: flag for modules that cannot
    accept parameters (currently disabled)

 -- Sven Rudolph <sr1@inf.tu-dresden.de>  Tue, 8 Apr 1997 17:54:47 +0200

modconf (0.2.4) frozen unstable; urgency=low

  * store descriptions gzipped
  * create descriptions file from Module-HOWTO

 -- Sven Rudolph <sr1@inf.tu-dresden.de>  Sun, 6 Apr 1997 23:26:51 +0200

modconf (0.2.3) frozen unstable; urgency=low

  * modconf: replaced `find' and basename call ( --source mounted is 
             now used on the installation disks before loading base)

 -- Sven Rudolph <sr1@inf.tu-dresden.de>  Sun, 23 Mar 1997 20:19:15 +0100

modconf (0.2.2) unstable; urgency=low

  * module information is stored in only two files
  * debian/rules: don't use debmake
  * modconf: corrected return values for dialog interface functions
  * modconf: support installation from rescue/drivers floppy
    (needs support from boot-floppies 1.2.7)
  * modconf: can restrict the offered driver directories 
    (e.g. pcmcia, scsi, cdrom)
  * modconf: can load specified modules before or after the
    interactive selection
  * modconf: update to + immediately after installing a module

 -- Sven Rudolph <sr1@inf.tu-dresden.de>  Mon, 10 Mar 1997 22:09:34 +0100

=== debian/control ===
Source: modconf
Section: base
Priority: standard
Maintainer: Sven Rudolph <sr1@inf.tu-dresden.de>
Standards-Version: 2.1.1.0

Package: modconf
Architecture: all
Depends: dialog
Description: Device Driver Configuration
 Modconf provides a GUI for installing and configuring device driver modules.

=== debian/rules ===
--- 
+++ 
@@ -21,7 +21,7 @@
 	$(checkdir)
 	-rm -f build
 	-make clean
-	-rm `find . -name "*~"`
+	-rm -f `find . -name "*~"`
 	-rm -rf debian/tmp debian/files* core
 
 binary-indep:	checkroot build
@@ -33,11 +33,13 @@
 binary-arch:	checkroot build
 	$(checkdir)
 	-rm -rf debian/tmp
+	install -d debian/tmp/DEBIAN
+	install -d debian/tmp/usr/doc/$(package)
+	install -c -m 644 debian/copyright debian/tmp/usr/doc/$(package)/
+	install -c -m 644 debian/changelog debian/tmp/usr/doc/$(package)/
+	gzip -9f debian/tmp/usr/doc/$(package)/changelog*
 	install -d debian/tmp/usr/{bin,sbin}
 	make install DESTDIR=`pwd`/debian/tmp
-# Must have debmake installed for this to work. Otherwise please copy
-# /usr/bin/debstd into the debian directory and change debstd to debian/debstd
-	debstd $(package)
 	dpkg-gencontrol
 	chown -R root.root debian/tmp
 	chmod -R go=rX debian/tmp

## modconf 0.2.17

=== Makefile ===
HOWTO=/usr/doc/HOWTO/unmaintained/Module-HOWTO.gz

all:	modconf.8.gz descr.gz #eval.gz

install:
	install -d -m 755 $(DESTDIR)/usr/sbin
	install -m 755 modconf $(DESTDIR)/usr/sbin
	install -d -m 755 $(DESTDIR)/usr/lib/module_help
	install -m 644 eval descr.gz $(DESTDIR)/usr/lib/module_help
	install -d -m 755 $(DESTDIR)/usr/man/man8
	install -m 644 modconf.8.gz $(DESTDIR)/usr/man/man8

modconf.8.gz:	modconf.8
	gzip -9c modconf.8 > modconf.8.gz

descr.gz:	descr.additional $(HOWTO) mkdescr.pl
	rm -f descr
	if [ -f descr.additional ]; then cp descr.additional descr; fi
	echo >>descr
	echo >>descr
	zcat $(HOWTO) | perl mkdescr.pl >> descr
	gzip -9f descr

#eval.gz:	eval
#	cat eval| sed -e 's/"$$/";/'| gzip -9 >eval.gz
	
clean:
	rm -f debian/*~ *~ descr.gz descr eval.gz modconf.8.gz

=== debian/changelog ===
modconf (0.2.17) frozen unstable; urgency=high

  * Added --exclude-section (boot-floppies need that option!),
  * Added manpage. fixes: Bug#5997
    
 -- Enrique Zanardi <ezanardi@molec1.dfis.ull.es>  Thu, 26 Mar 1998 13:23:13 +0000

modconf (0.2.16) unstable; urgency=low

  * Updated Standards-Version
  * Updated FSF address

 -- Enrique Zanardi <ezanardi@molec1.dfis.ull.es>  Thu, 12 Feb 1998 11:34:22 +0000

modconf (0.2.15) unstable; urgency=low

  * Fixed mistake in /usr/sbin/modconf

 -- Enrique Zanardi <ezanardi@molec1.dfis.ull.es>  Mon,  2 Feb 1998 18:51:26 +0000

modconf (0.2.14) unstable; urgency=low

  * Added --libdir option.
  * New maintainer.

 -- Enrique Zanardi <ezanardi@molec1.dfis.ull.es>  Sat, 31 Jan 1998 20:10:25 +0000

modconf (0.2.13.1) unstable; urgency=low

  * modconf: added patches by Bruce Perens to use whiptail instead of
    dialog.
  * non-maintainer version.

 -- Enrique Zanardi <ezanardi@molec1.dfis.ull.es>  Sat, 10 Jan 1998 12:20:38 +0000

modconf (0.2.13) unstable; urgency=low

  * modconf: mangle module name for calling post-install (#11131, #12156)
  * modconf: use tput when available (#11956, partially)
  * modconf: create TempFile using the tempfile command (#11836)
  * debian/rules: build package in binary-indep rule (#12489)
  
 -- Sven Rudolph <sr1@inf.tu-dresden.de>  Wed, 24 Sep 1997 12:56:04 +0200

=== debian/control ===
Source: modconf
Section: base
Priority: standard
Maintainer: Enrique Zanardi <ezanardi@molec1.dfis.ull.es>
Standards-Version: 2.4.0.0

Package: modconf
Architecture: all
Depends: whiptail
Description: Device Driver Configuration
 Modconf provides a GUI for installing and configuring device driver modules.

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,6 @@
 build:
 	$(checkdir)
 	make
-
 	touch build
 
 clean:
@@ -26,24 +25,24 @@
 
 binary-indep:	checkroot build
 	$(checkdir)
-# There are no architecture-independent files to be uploaded
-# generated by this package.  If there were any they would be
-# made here.
-
-binary-arch:	checkroot build
-	$(checkdir)
 	-rm -rf debian/tmp
 	install -d debian/tmp/DEBIAN
 	install -d debian/tmp/usr/doc/$(package)
 	install -c -m 644 debian/copyright debian/tmp/usr/doc/$(package)/
 	install -c -m 644 debian/changelog debian/tmp/usr/doc/$(package)/
 	gzip -9f debian/tmp/usr/doc/$(package)/changelog*
-	install -d debian/tmp/usr/{bin,sbin}
+	install -d debian/tmp/usr/sbin
 	make install DESTDIR=`pwd`/debian/tmp
 	dpkg-gencontrol
 	chown -R root.root debian/tmp
 	chmod -R go=rX debian/tmp
 	dpkg --build debian/tmp ..
+
+binary-arch:	checkroot build
+# There are no architecture-dependent files to be uploaded
+# generated by this package.  If there were any they would be
+# made here.
+	$(checkdir)
 
 define checkdir
 	test -f debian/rules

## modconf 0.2.26

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-HOWTO=/usr/doc/HOWTO/unmaintained/Module-HOWTO.gz
+HOWTO=./Module-HOWTO.gz
 
 all:	modconf.8.gz descr.gz #eval.gz
 
@@ -6,7 +6,7 @@
 	install -d -m 755 $(DESTDIR)/usr/sbin
 	install -m 755 modconf $(DESTDIR)/usr/sbin
 	install -d -m 755 $(DESTDIR)/usr/lib/module_help
-	install -m 644 eval descr.gz $(DESTDIR)/usr/lib/module_help
+	install -m 644 eval_* descr.gz $(DESTDIR)/usr/lib/module_help
 	install -d -m 755 $(DESTDIR)/usr/man/man8
 	install -m 644 modconf.8.gz $(DESTDIR)/usr/man/man8

=== debian/changelog ===
modconf (0.2.26) frozen unstable; urgency=high

  * Fixes important bug (Bug#33313: Can't quit modconf) and must be used 
    on slink boot-floppies. Closes #33313

 -- Enrique Zanardi <ezanard@debian.org>  Tue, 23 Feb 1999 03:11:21 +0000

modconf (0.2.25) unstable; urgency=low

  * maintainer upload.
  * Updated eval_hr by Matej Vela.
  * Added eval_eo by Edmund Grimley Evans.

 -- Enrique Zanardi <ezanard@debian.org>  Fri, 19 Feb 1999 01:05:14 +0000

modconf (0.2.24.1) frozen unstable; urgency=high

  * NMU: add --tty option for 2.2 kernel support in boot-floppies.

 -- Eric Delaunay <delaunay@lix.polytechnique.fr>  Mon, 15 Feb 1999 20:50:51 +0100

modconf (0.2.24) frozen unstable; urgency=high

  * Updated eval_ja by Akira Yoshiyama.
  * Added eval_hr by Matej Vela.
  * Added descriptions for new devices. (Closes #31448)
  * Fixed description for ne2000 ISA cards. (Closes #21519, #30779)
  * Increased column width to deal with big module names (nls_iso*...).
    (Closes #25172)

 -- Enrique Zanardi <ezanard@debian.org>  Mon, 12 Jan 1999 19:28:07 +0000

modconf (0.2.23) frozen unstable; urgency=high

  * Modified to use update-modules. This fixes the "unable to remove
    pcmcia-cs on a fresh install" bug. (Bug reported against slink
    boot-floppies).
  * Added eval_it and eval_ja.
  * Added additional descriptions by ecki@lina.inka.de. (Closes #31000).

 -- Enrique Zanardi <ezanard@debian.org>  Sun, 27 Dec 1998 15:07:12 +0000

modconf (0.2.22) frozen unstable; urgency=high

  * Removed unneeded "read foo". With that line, the program apparently
    "hangs" while detecting the installed modules. (Bug reported against
    the boot-floppies). 

 -- Enrique Zanardi <ezanard@debian.org>  Mon, 21 Dec 1998 10:40:50 +0000

modconf (0.2.21) frozen unstable; urgency=high

  * Parse the command line before sourcing eval_* 
  * If it exists, use /target/bin/sed instead of /bin/sed.
  * This version fixes two grave bugs in slink boot-floppies, so it
    must go in slink.

 -- Enrique Zanardi <ezanard@debian.org>  Wed,  2 Dec 1998 16:29:35 +0000

modconf (0.2.20) frozen unstable; urgency=low

  * Really changed description for ne module (closes: Bug#21519).
  * Patched eval_de (patch from Harmut Koptein).
  * Added Spanish messages by Pedro Gracia <pedro@id-agora.com>.
  * Maintainer release (closes: Bug#28886).

 -- Enrique Zanardi <ezanard@debian.org>  Fri, 13 Nov 1998 14:06:31 +0000

modconf (0.2.19.1) unstable; urgency=low, closes=21519

  * Non-maintainer release
  * The user isn't queried for parameters if none is required
  * Additional spaces before and after the equal sign in a response will
    be removed before continuing.
  * Changed description for ne module (closes: Bug#21519)
  * Added eval_de file for a German version of modconf

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Tue,  3 Nov 1998 13:10:19 +0100

modconf (0.2.19) unstable; urgency=low

  * Added Czech messages by Pavel Makovec.

 -- Enrique Zanardi <ezanard@debian.org>  Thu, 15 Oct 1998 17:26:23 +0100

modconf (0.2.18) unstable; urgency=low

  * Added i18n patches by Christophe Le Bars.
  * Use "chown 0.0" instead of "chown root.root" to avoid warnings during
    installation. (Closes Bug#26774, Bug#25372).
  * As the Linux Module-HOWTO is unmaintained since a long time ago, I
    have included here the last version, removing a source dependency on
    doc-linux-text.
    
 -- Enrique Zanardi <ezanard@debian.org>  Sat, 19 Sep 1998 21:27:08 +0001

=== debian/control ===
Source: modconf
Section: base
Priority: standard
Maintainer: Enrique Zanardi <ezanard@debian.org>
Standards-Version: 2.4.0.0

Package: modconf
Architecture: all
Depends: whiptail, modutils (>= 2.1.85-14)
Description: Device Driver Configuration
 Modconf provides a GUI for installing and configuring device driver modules.

=== debian/rules ===
--- 
+++ 
@@ -26,13 +26,13 @@
 binary-indep:	checkroot build
 	$(checkdir)
 	-rm -rf debian/tmp
-	install -d debian/tmp/DEBIAN
+	make install DESTDIR=`pwd`/debian/tmp
 	install -d debian/tmp/usr/doc/$(package)
 	install -c -m 644 debian/copyright debian/tmp/usr/doc/$(package)/
 	install -c -m 644 debian/changelog debian/tmp/usr/doc/$(package)/
 	gzip -9f debian/tmp/usr/doc/$(package)/changelog*
-	install -d debian/tmp/usr/sbin
-	make install DESTDIR=`pwd`/debian/tmp
+	install -d debian/tmp/DEBIAN
+	install -c -m 755 debian/postrm debian/tmp/DEBIAN/
 	dpkg-gencontrol
 	chown -R root.root debian/tmp
 	chmod -R go=rX debian/tmp

## modconf 0.2.26.14.1

=== Makefile ===
HOWTO=./Module-HOWTO.gz
LANGS=C cs de eo es fr hr it ja pl
EVALTARGETS=$(addprefix eval_, $(LANGS))

all:	modconf.8.gz descr.gz $(EVALTARGETS) #eval.gz

install: all
	install -d -m 755 $(DESTDIR)/usr/sbin
	install -m 755 modconf $(DESTDIR)/usr/sbin
	install -d -m 755 $(DESTDIR)/usr/share/modconf
	install -m 644 eval_* descr.gz $(DESTDIR)/usr/share/modconf
	install -m 644 modules/dialog $(DESTDIR)/usr/share/modconf
	install -m 644 modules/util $(DESTDIR)/usr/share/modconf
	install -m 644 modules/params $(DESTDIR)/usr/share/modconf
	install -d -m 755 $(DESTDIR)/usr/share/man/man8
	install -m 644 modconf.8.gz $(DESTDIR)/usr/share/man/man8

modconf.8.gz:	modconf.8
	gzip -9c modconf.8 > modconf.8.gz

descr.gz:	descr.additional $(HOWTO) mkdescr.pl
	rm -f descr
	if [ -f descr.additional ]; then cp descr.additional descr; fi
	echo >>descr
	echo >>descr
	zcat $(HOWTO) | perl mkdescr.pl >> descr
	gzip -9f descr

eval_%:	build/eval_%.auto
	-cat template/eval_$*.fixed | grep -v "^summary" > build/$@.1
	-cat template/eval_$*.fixed | grep "^summary" > build/$@.2
	[ ! -f template/eval_$*.additional ] || cat template/eval_$*.additional >> build/$@.3
	[ ! -f build/eval_$*.auto ] || cat build/eval_$*.auto >> build/$@.3
	touch build/$@.3
	cat build/$@.3 | sort | uniq > build/$@.4
	# Note ordering -- the descriptions in fixed overrids everything else
	cat build/$@.1 build/$@.4 build/$@.2 > $@
	rm -f build/$@.[1-4]
	
build/eval_%.auto:
	[ -d build ] || mkdir build
	debian/mkkerneldesc.pl $* | sort | uniq > $@

count: $(EVALTARGETS)
	@for i in $(EVALTARGETS); do \
	  echo -n "$$i "; \
	  grep "^summary" $$i | wc -l; \
	done
	  

#eval.gz:	eval
#	cat eval| sed -e 's/"$$/";/'| gzip -9 >eval.gz
	
clean:
	-rm -f debian/*~ *~ descr.gz descr eval.gz modconf.8.gz eval_*
	-rm -rf build

.PHONY: count clean

=== debian/changelog ===
modconf (0.2.26.14.1) stable; urgency=low

  * included patch for secure tempfile handling, see #117283 for details

 -- Eduard Bloch <blade@debian.org>  Sun,  4 Nov 2001 23:16:44 +0100

modconf (0.2.26.14) frozen unstable; urgency=low

  * Thanks to Dan Jacobowitz <dan@debian.org> for pointing out a serious
    flaw in the symlink mess modconf does. It should be fixed now.

 -- Randolph Chung <tausq@debian.org>  Sun, 23 Apr 2000 12:31:35 -0700

modconf (0.2.26.13) frozen unstable; urgency=low

  * Call update-modules with the force parameter to make sure the 
    modules.conf file gets regenerated

 -- Randolph Chung <tausq@debian.org>  Sat, 22 Apr 2000 16:20:12 -0700

modconf (0.2.26.12) frozen unstable; urgency=low

  * Well, it was almost fixed. modconf would create the modules.conf if it
    doesn't already exist only if we are not running with --target. This is
    now fixed. Really!

 -- Randolph Chung <tausq@debian.org>  Sat, 15 Apr 2000 19:38:19 -0700

modconf (0.2.26.11) frozen unstable; urgency=low

  * DOH DOH DOH... how many times can this package get messed up?
    I guess that's "release often, release early"... :P
  * modconf will not create a modules.conf file if the user installs modules
    with no arguments. This is now fixed.
  
 -- Randolph Chung <tausq@debian.org>  Mon, 10 Apr 2000 19:53:56 -0700

modconf (0.2.26.10) frozen unstable; urgency=low

  * Parse /proc/modules rather than $MODULESFILE to form
    $installed_module_list  so that modules loaded by modprobe
    dependancies are also marked as installed.
  * Look for kernel Makefile's in several common locations rather than
    only in /usr/src/linux.
  * use -C parameter on modprobe line so that it uses the right modules.conf
    file (closes: #61664, #61872)

 -- Randolph Chung <tausq@debian.org>  Sat,  8 Apr 2000 16:48:07 -0700

modconf (0.2.26.9) frozen unstable; urgency=medium

  * Always create a modules file, even if nothing is chosen; (closes: #57107)
  * Fixed a race condition in the script
  * Various syntactic changes to try to address some weird bug reports

 -- Randolph Chung <tausq@debian.org>  Mon,  7 Feb 2000 23:05:17 -0700

modconf (0.2.26.8) frozen unstable; urgency=low

  * Reuploaded for frozen too....
  * Fixed more typos... so much for release early release often... (needed
    for modconf to work properly, so are release critical)
  * Added a few more descriptions

 -- Randolph Chung <tausq@debian.org>  Tue,  1 Feb 2000 18:15:26 -0700

modconf (0.2.26.7) unstable; urgency=low

  * set libdir to if $Target/usr/share/modconf if dir exists, otherwise,
    fall back to /usr/share/modconf (fixes: Bug#56774)
  * don't step on ModuleHelp setting when its set from the '--libdir'
    switch (not to be confused with $libdir) above; use
    $Target/$ModuleHelp if it exists
  * workaround a busybox zcat bug

 -- Adam Di Carlo <aph@debian.org>  Tue,  1 Feb 2000 02:34:34 -0600

modconf (0.2.26.6) frozen unstable; urgency=high

  * Fixes serious bug where modconf doesn't work on boot floppies
  * Reorganized source code; split up into more managable pieces
  * Less annoying dialogs, more orientation info. (re: #55404 -- not all done)
  * Fixes console switching problem (closes: #56317)
  * General bug fixing; some are bugs that were fixed in previous
    releases (closes: #37912, #36069, #41776, #55939)

 -- Randolph Chung <tausq@debian.org>  Fri, 28 Jan 2000 21:47:04 -0700

modconf (0.2.26.5) frozen unstable; urgency=medium

  * New maintainer
  * Fixed release-critical bugs that made modconf not work on boot floppies
  * Cosmetic fixes

 -- Randolph Chung <tausq@debian.org>  Tue, 25 Jan 2000 19:14:27 -0700

modconf (0.2.26.4) unstable; urgency=medium

  * Non-maintainer version
  * Added ability to derive (partial) descriptions from kernel sources
  * Redo makefile to make it more flexible for changes
  * uses /usr/share/doc
  * General cleanups
  * Added $Target prefix to CFGFILE and MODULESFILE variables in script
  * Added info about autoprobes (closes: #36656)
  * Changed module install interface to be more intuitive (closes: #25374)

 -- Randolph Chung <tausq@debian.org>  Sat, 15 Jan 2000 00:08:20 -0700

modconf (0.2.26.3) unstable; urgency=low

  * Non-maintainer version
  * Applyed patch to fix spanish typos (closes: #35004)
  * Shortend some Czech messages whiptail would segfault)

 -- Petr Cech <cech@debian.org>  Mon, 15 Nov 1999 22:35:20 +0100

modconf (0.2.26.2) unstable; urgency=low

  * Non-maintainer version
  * Added more German and English description of modules
  * Adde even more German and English from Tim Weippert <weippert@centaur.de>

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Sat, 15 May 1999 01:24:59 +0200

modconf (0.2.26.1) stable; urgency=low

  * Non-maintainer version
  * Fixed some formating oddities in German translation

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Sat,  8 May 1999 22:42:01 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: modconf
 Section: base
 Priority: standard
-Maintainer: Enrique Zanardi <ezanard@debian.org>
-Standards-Version: 2.4.0.0
+Maintainer: Boot Floppies team <debian-boot@lists.debian.org>
+Standards-Version: 3.0.1.1
 
 Package: modconf
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -11,27 +11,30 @@
 
 package=modconf
 
-build:
+build: build-stamp
+build-stamp:
 	$(checkdir)
 	make
-	touch build
+	touch build-stamp
 
 clean:
 	$(checkdir)
-	-rm -f build
 	-make clean
 	-rm -f `find . -name "*~"`
 	-rm -rf debian/tmp debian/files* core
+	-rm -f build-stamp
 
 binary-indep:	checkroot build
 	$(checkdir)
 	-rm -rf debian/tmp
 	make install DESTDIR=`pwd`/debian/tmp
-	install -d debian/tmp/usr/doc/$(package)
-	install -c -m 644 debian/copyright debian/tmp/usr/doc/$(package)/
-	install -c -m 644 debian/changelog debian/tmp/usr/doc/$(package)/
-	gzip -9f debian/tmp/usr/doc/$(package)/changelog*
+	install -d debian/tmp/usr/share/doc/$(package)
+	install -c -m 644 debian/copyright debian/tmp/usr/share/doc/$(package)/
+	install -c -m 644 debian/changelog debian/tmp/usr/share/doc/$(package)/
+	gzip -9f debian/tmp/usr/share/doc/$(package)/changelog*
 	install -d debian/tmp/DEBIAN
+	install -c -m 755 debian/postinst debian/tmp/DEBIAN/
+	install -c -m 755 debian/prerm debian/tmp/DEBIAN/
 	install -c -m 755 debian/postrm debian/tmp/DEBIAN/
 	dpkg-gencontrol
 	chown -R root.root debian/tmp

## modconf 0.2.43

=== Makefile ===
HOWTO=./Module-HOWTO.gz
LANGS=C cs da de eo es fr gl hr it ja pl pt_BR sv
EVALS=$(addprefix eval_, $(LANGS))
EVALTARGETS=$(EVALS) $(patsubst %,%.utf-8,$(EVALS))
charset-C = utf-8
charset-cs = iso-8859-2
charset-da = iso-8859-1
charset-de = iso-8859-1
charset-eo = iso-8859-3
charset-es = iso-8859-1
charset-fr = iso-8859-1
charset-gl = iso-8859-1
charset-hr = iso-8859-2
charset-it = iso-8859-1
charset-ja = eucjp
charset-ko = euc-kr
charset-pl = iso-8859-2
charset-pt_BR = iso-8859-1
charset-sv = iso-8859-1

all:	modconf.8.gz modconf.8.pl.gz descr.gz $(EVALTARGETS) #eval.gz

install: all
	install -d -m 755 $(DESTDIR)/usr/sbin
	install -m 755 modconf $(DESTDIR)/usr/sbin
	install -d -m 755 $(DESTDIR)/usr/share/modconf
	install -m 644 eval_* descr.gz $(DESTDIR)/usr/share/modconf
	install -m 644 modules/dialog $(DESTDIR)/usr/share/modconf
	install -m 755 modules/util $(DESTDIR)/usr/share/modconf
	install -m 755 modules/params $(DESTDIR)/usr/share/modconf
	install -d -m 755 $(DESTDIR)/usr/share/man/man8
	install -m 644 modconf.8.gz $(DESTDIR)/usr/share/man/man8
	install -d -m 755 $(DESTDIR)/usr/share/man/pl/man8
	install -m 644 modconf.8.pl.gz $(DESTDIR)/usr/share/man/pl/man8/modconf.8.gz

modconf.8.gz:	modconf.8
	gzip -9c modconf.8 > modconf.8.gz

modconf.8.pl.gz: modconf.8.pl
	gzip -9c $< > $@

descr.gz:	descr.additional $(HOWTO) mkdescr.pl
	rm -f descr
	if [ -f descr.additional ]; then cp descr.additional descr; fi
	echo >>descr
	echo >>descr
	zcat $(HOWTO) | perl mkdescr.pl >> descr
	gzip -9f descr

eval_%.utf-8: eval_%
	iconv -t utf-8 -f $(charset-$(patsubst eval_%,%,$<)) < $< >$@

eval_%:	build/eval_%.auto
	-cat template/eval_$*.fixed | grep -v "^summary" > build/$@.1
	-cat template/eval_$*.fixed | grep "^summary" > build/$@.2
	[ ! -f template/eval_$*.additional ] || cat template/eval_$*.additional >> build/$@.3
	[ ! -f build/eval_$*.auto ] || cat build/eval_$*.auto >> build/$@.3
	touch build/$@.3
	cat build/$@.3 | sort | uniq > build/$@.4
	# Note ordering -- the descriptions in fixed overrids everything else
	cat build/$@.1 build/$@.4 build/$@.2 > $@
	rm -f build/$@.[1-4]

build/eval_%.auto:
	[ -d build ] || mkdir build
	debian/mkkerneldesc.pl $* | sort | uniq > $@

count: $(EVALTARGETS)
	@for i in $(EVALTARGETS); do \
	  echo -n "$$i "; \
	  grep "^summary" $$i | wc -l; \
	done

#eval.gz:	eval
#	cat eval| sed -e 's/"$$/";/'| gzip -9 >eval.gz

clean:
	-rm -f debian/*~ *~ descr.gz descr eval.gz modconf.8*.gz eval_*
	-rm -rf build

.PHONY: count clean

=== debian/changelog ===
modconf (0.2.43) unstable; urgency=low

   - clear screen properly when running in bterm, otherwise
     messages when loading modules on i18n boot-floppies are corrupted
     (closes: #137547)

 -- David Kimdon <dwhedon@debian.org>  Sun, 10 Mar 2002 08:25:38 +0100

modconf (0.2.42) unstable; urgency=medium

  * Eduard Bloch
    - unseting LC_MESSAGES before the final whiptail call
    - updated debian/control to depend on whiptail-provider, closes: #136000

 -- Eduard Bloch <blade@debian.org>  Sat,  2 Mar 2002 12:47:47 +0100

modconf (0.2.41) unstable; urgency=low

  * Jordi Mallach
    - updated Catalan templates
  * Claus Hindsgaul
    - updated Danish templates
  * Matt Kraai
    - update PLIP description (Closes: #94008)
  * Eduard Bloch
    - replaced \\" with ' in "-substitutions (Closes: #133017)
  * David Kimdon
    - indicate that you only need to configure modules when your cdrom
      is non-standard/non-ATAPI  (closes: #127526)
    
 -- Jordi Mallach <jordi@debian.org>  Sun,  3 Feb 2002 20:47:34 +0100

modconf (0.2.40) unstable; urgency=low

  * David Kimdon
    - $TempFile5 change in 0.2.39 wasn't working on all systems because 
    $TempFile5 wasn't always being initialized.  This lead to at least 
    an error message and probably had more serious consequances 
    (Closes: #123391)
  * Claudio Rodrigues <claudior@telemar-mg.com.br> 
    - update brazilian translation (Closes: #117641)
  * Claus Hindsgaul
    - fixed typo in eval_C.fixed
    - added Danish translation eval_da.fixed
  * Phil Blundell
    - build UTF-8 versions of messages files
  * Jordi Mallach
    - Added Catalan translation
  * Eduard Bloch
    - included a check to actually use the .utf-8 files
    - added a routine to load USB keyboard drivers when the keyboard has been
      locked
  * Marcin Owsiany
    - updated/fixed Polish translation

 -- Eduard Bloch <blade@debian.org>  Sun,  3 Feb 2002 18:10:38 +0100

modconf (0.2.39) unstable; urgency=medium

  * Eduard Bloch:
    - fixed a logical error in update_modules_conf (environment not inherited
      in the main shell). Saving the variables using $Tempfile5.
      Closes: #58007, Closes: #94536
    - Check for description beginning with -, prevents modconf from dying on
      malformed descriptions and undescripted modules containing an - in the
      name.
    - mkkerneldesc.pl: replacing ` with ', made problems with new descriptions
      in 2.4.14

 -- Eduard Bloch <blade@debian.org>  Tue, 20 Nov 2001 02:05:45 +0100

modconf (0.2.38) unstable; urgency=low

  * Gerhard Tonn
    - added s390 specific menu item
    - added descriptions for s390 modules 
    - chandev modules list for s390 generated dynamically

 -- Gerhard Tonn <gt@debian.org>  Sat, 10 Nov 2001 08:23:40 +0200

modconf (0.2.37) stable unstable; urgency=medium

  * To FTP maintainers: please decide in your own whether this release
    should go into stable or not. The only thing it fixes/changes is the
    manpage installation.
  * Eduard Bloch:
    - fixed Makefile broken Marcin Owsiany a while ago. The default manpage
      has been overwritten with the polish translation. I still wonder why
      nobody noticed this before. Closes: #117474
  * Gerhard Tonn
    - added missing copy of chandev.conf for s390

 -- Eduard Bloch <blade@debian.org>  Sun, 28 Oct 2001 12:53:27 +0100

modconf (0.2.36) stable unstable; urgency=high

  * Eduard Bloch:
    - included a check for /etc/locale.alias, resolving the LANG aliases.
      (Closes: #114057)
    - more secure tempfile handling, based on patch from 
      Colin Phipps <cph@cph.demon.co.uk> (Closes: #117283)
    - fixed bug in mkkerneldesc.pl, escapes " now.

 -- Eduard Bloch <blade@debian.org>  Sun, 28 Oct 2001 11:12:22 +0100

modconf (0.2.35) unstable; urgency=low
  
  * Marcin Owsiany:
    - added Polish manpage.
    - updated and corrected Polish translation of the 'eval' file.
  * David Kimdon
    - make Brazilian portuguese messages actually appear
      (closes: #113424) 
    - (from Eduard Bloch): removed wildcard from menu output result, which
      returned the wrong name on LANG != C (closes: #105648)
    - patch from Gerhard Tonn <GerhardTonn@swol.de> to support 
      s390 module configuration (closes: #114905)

 -- David Kimdon <dwhedon@debian.org>  Mon, 24 Sep 2001 19:03:03 -0700

modconf (0.2.34) unstable; urgency=low

  * Galacian translation contributed by jtarrio@trasno.net
    (closes: Bug#95851)
  * Brazilian portuguese translation contributed by 
    Andre Luis Lopes <andrelop@ig.com.br> (closes: Bug#113200)
  * Korean translation contributed by Ho-seok Lee <alee@debian.or.kr>
    (closes: #107985, #108007)
  * mkkerneldesc.pl now strips terminating comments in Makefile so we
    can handle lines like:
    obj-$(CONFIG_FOO) += foo.o # comment
  
 -- David Whedon <dwhedon@debian.org>  Tue,  8 May 2001 18:00:25 -0700

modconf (0.2.33) unstable; urgency=low

  * Umh... somehow there was .32 already, even though I checked the cvs
    diff it didn't look like it was uploaded already.  Will have to bump
    up the version number.
  * Whil I'm at it, I've capitalized the development team as well

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Tue,  6 Mar 2001 04:30:50 +0100

modconf (0.2.32) unstable; urgency=low

  * Updated Spanish translation (Jordi Mallach)
  * Removed bashism because ash doesn't like it.  Well, that's nothing
    new, right?  But even hiding it into some if [] clause is not
    appreciated by ash.  I thought it was a good idea...  reality again
    proved me wrong... (Closes: Bug#88413)

 -- Martin Schulze <joey@finlandia.infodrom.north.de>  Tue,  6 Mar 2001 04:13:41 +0100

modconf (0.2.31) unstable; urgency=medium

  * Rewrote some module finding and naming code so modconf will work with
    Linux 2.4.x as well.  (closes: Bug#78924)
  * Added support for LC_MESSAGES in addition to LANG (closes: Bug#71875)
  * Applied patch from Peter Muir <muirp@ieels.com> to not truncate long


=== debian/control ===
Source: modconf
Section: base
Priority: optional
Maintainer: Boot Floppies Team <debian-boot@lists.debian.org>
Standards-Version: 3.2.1

Package: modconf
Architecture: all
Depends: whiptail-provider | whiptail, modutils (>= 2.1.85-14)
Description: Device Driver Configuration
 Modconf provides a GUI for installing and configuring device driver modules.

## modconf 0.2.45.1

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,9 @@
 HOWTO=./Module-HOWTO.gz
-LANGS=C cs da de eo es fr gl hr it ja pl pt_BR sv
+LANGS=C ca cs da de eo es fr gl hr it ja pl pt_BR sv
 EVALS=$(addprefix eval_, $(LANGS))
 EVALTARGETS=$(EVALS) $(patsubst %,%.utf-8,$(EVALS))
 charset-C = utf-8
+charset-ca = iso-8859-1
 charset-cs = iso-8859-2
 charset-da = iso-8859-1
 charset-de = iso-8859-1
@@ -18,7 +19,9 @@
 charset-pt_BR = iso-8859-1
 charset-sv = iso-8859-1
 
-all:	modconf.8.gz modconf.8.pl.gz descr.gz $(EVALTARGETS) #eval.gz
+MANPAGES = modconf.8 modconf.8.pl modconf.8.fr modconf.8.es
+
+all:	descr.gz $(EVALTARGETS) #eval.gz
 
 install: all
 	install -d -m 755 $(DESTDIR)/usr/sbin
@@ -28,16 +31,12 @@
 	install -m 644 modules/dialog $(DESTDIR)/usr/share/modconf
 	install -m 755 modules/util $(DESTDIR)/usr/share/modconf
 	install -m 755 modules/params $(DESTDIR)/usr/share/modconf
-	install -d -m 755 $(DESTDIR)/usr/share/man/man8
-	install -m 644 modconf.8.gz $(DESTDIR)/usr/share/man/man8
-	install -d -m 755 $(DESTDIR)/usr/share/man/pl/man8
-	install -m 644 modconf.8.pl.gz $(DESTDIR)/usr/share/man/pl/man8/modconf.8.gz
-
-modconf.8.gz:	modconf.8
-	gzip -9c modconf.8 > modconf.8.gz
-
-modconf.8.pl.gz: modconf.8.pl
-	gzip -9c $< > $@
+	for x in $(MANPAGES) ; do \
+		lang=$${x#modconf.8} ; lang=$${lang#.} ; \
+		install -d -m 755 $(DESTDIR)/usr/share/man/$$lang/man8; \
+		install -m 644 $$x $(DESTDIR)/usr/share/man/$$lang/man8/modconf.8; \
+		gzip -9 -f $(DESTDIR)/usr/share/man/$$lang/man8/modconf.8; \
+	done
 
 descr.gz:	descr.additional $(HOWTO) mkdescr.pl
 	rm -f descr
@@ -61,9 +60,16 @@
 	cat build/$@.1 build/$@.4 build/$@.2 > $@
 	rm -f build/$@.[1-4]
 
-build/eval_%.auto:
+build/eval_%.auto: build/pcmcia-src build/kerneldsc
 	[ -d build ] || mkdir build
-	debian/mkkerneldesc.pl $* | sort | uniq > $@
+	( cat build/kerneldsc ; debian/mkpcmciadesc.pl build/pcmcia-src) | sort | uniq > $@
+
+build/kerneldsc:
+	debian/mkkerneldesc.pl > build/kerneldsc
+	
+build/pcmcia-src:
+	mkdir -p build/pcmcia-src || true
+	zcat /usr/src/pcmcia-cs.tar.gz | tar -x -C build/pcmcia-src
 
 count: $(EVALTARGETS)
 	@for i in $(EVALTARGETS); do \

=== debian/changelog ===
modconf (0.2.45.1) unstable; urgency=low

  * NMU
    - Recompiled the package with kernel-source-2.4.25. Funny, though,
      since double quotes now go away (Closes: #227691)
    - debian/mkkerneldesc.pl now warns if you have not unpacked the kernel
      sources, unfortunately that's something that needs to be done by the
      user himself for the moment (but could be improved so that it's done
      in the package since only a few files are needed), this does not 
      close 235068 but improves the error messages.
    - Rewrote some entries in the Module-HOWTO based on information from 
      the new module HOWTO, this includes also the 'max_loop' parameter
      (Closes: #173734)
    - Module-HOWTO now says options for full_duplex in 3c59x are 0x200
      (Closes: #194926)
    - Added spanish translation of modconf provided by Ruben Porras
      (Closes: #206203)
    - Modconf.8 (all languages) now points to /usr/share/modconf instead of
    /usr/lib/modules_help (Closes: #233601)
    - Updated eval_sv.fixed with patch provided by Era Eriksson 
    (Closes: #191048)
    - Fixed typo (Accellerated -> Accelerated) (Closes: #191046)
    - Load /etc/modules-$KernelVersion or /etc/modules-2.6 if available
    as module-init-tools does (Closes: #225204)
    - Changed message regarding help page availability in eval_C.fixed,
    only updated the spanish translation though. (Closes: #127529,#178824)
    - mkpcmciadesc.pl now aborts if no parameter is given
    - Added some TODOs items regarding eval translations, HOWTO help 
      translation availability and the new module HOWTO

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Sat, 20 Mar 2004 14:01:56 +0100

modconf (0.2.45) unstable; urgency=low

  * Kernel 2.6 support based on the latest patch in the bugreport, thanks to
    all submitters (closes: #192232)
  * new 2.6 compatible description harvesting method for mkkerneldesc.pl
  * Makefile cleanups: generic manpage installation rule, no duplicated
    mkkerneldesc.pl executions
  * added French manpage, thanks to Julien Louis (closes: #174833)

 -- Eduard Bloch <blade@debian.org>  Fri, 26 Dec 2003 17:06:43 +0100

modconf (0.2.44) unstable; urgency=low

  * Eduard Bloch
    - script to extract modules description from pcmcia-cs source
    - 58305 looks like the issue, fixed by me a while ago, closes: #58305
    - modified the description in loading step, closes: #127529
    - included modconf.8 from Julien Louis <arthur51@ifrance.com>, 
      closes: #174833
    - rewrote the manpage installation part to work more flexibly
  * Jordi Mallach
    - update Catalan templates
    - enable Catalan in Makefile. D'oh!
  * David Kimdon
    - fixup creation of summary_* variable name in mkpcmciadesc.pl
      so the shell isn't confused.
    - better regex in mkkerneldesc.pl to avoid identifying something
      like libdes.a as a module.
    - add build-deps

 -- Eduard Bloch <blade@debian.org>  Wed, 21 Aug 2002 10:41:49 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: base
 Priority: optional
 Maintainer: Boot Floppies Team <debian-boot@lists.debian.org>
-Standards-Version: 3.2.1
+Build-Depends: pcmcia-source, kernel-source, perl-base
+Standards-Version: 3.6.1
 
 Package: modconf
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -36,7 +36,7 @@
 	install -c -m 755 debian/postinst debian/tmp/DEBIAN/
 	install -c -m 755 debian/prerm debian/tmp/DEBIAN/
 	install -c -m 755 debian/postrm debian/tmp/DEBIAN/
-	dpkg-gencontrol
+	dpkg-gencontrol -isp
 	chown -R root.root debian/tmp
 	chmod -R go=rX debian/tmp
 	dpkg --build debian/tmp ..

## modconf 0.2.47

=== debian/changelog ===
modconf (0.2.47) unstable; urgency=low

  * source_eval can't assume that $sed is set. Define fallback.
    parse_commandline can't assume that write_it_down is available,
    so copy the complete function as a workaround.
    (Closes: #205153, #266955)
  * Set MODUTILSDIR for 2.6.x kernels correctly to etc/modprobe.d
    (Closes: #253645)
  * Recommpiled with kernel-source-2.4.27

 -- Frank Lichtenheld <djpig@debian.org>  Thu,  9 Sep 2004 00:28:12 +0200

modconf (0.2.46) unstable; urgency=low

  * The "some temporary solutions to get the RC bug fixed"
    release
  * Adopt this package until the exact maintainance
    is discussed (Closes: #262773) Since the package
    isn't part of the Debian installation process
    anymore, debian-boot probably isn't the right
    maintainer anymore
  * Acknowledge NMU by Javier Fernandez-Sanguino Pen~a
  * debian/control:
    - Change maintainer address
    - Add alternative depends on module-init-tools
      (versioned >= 3.1-pre2-1 for config file location)
    - don't build-depend on perl-base, it's essential
  * debian/postinst: remove, only set usr/doc symlink
  * debian/postrm: remove XSI:sm
  * modules/params:
    - Change config file location for 2.6 kernels to
      etc/modprobe.d (Closes: #256401) This is only a
      temporary solution, better leave this to modprobe
      if not otherwise commanded
  * Recompiled with kernel-source-2.4.26

 -- Frank Lichtenheld <djpig@debian.org>  Mon,  2 Aug 2004 01:02:00 +0200

=== debian/control ===
Source: modconf
Section: base
Priority: optional
Maintainer: Frank Lichtenheld <djpig@debian.org>
Build-Depends: pcmcia-source, kernel-source
Standards-Version: 3.6.1

Package: modconf
Architecture: all
Depends: whiptail-provider | whiptail, modutils (>= 2.1.85-14) | module-init-tools (>= 3.1-pre2-1)
Description: Device Driver Configuration
 Modconf provides a GUI for installing and configuring device driver modules.

=== debian/rules ===
--- 
+++ 
@@ -33,7 +33,6 @@
 	install -c -m 644 debian/changelog debian/tmp/usr/share/doc/$(package)/
 	gzip -9f debian/tmp/usr/share/doc/$(package)/changelog*
 	install -d debian/tmp/DEBIAN
-	install -c -m 755 debian/postinst debian/tmp/DEBIAN/
 	install -c -m 755 debian/prerm debian/tmp/DEBIAN/
 	install -c -m 755 debian/postrm debian/tmp/DEBIAN/
 	dpkg-gencontrol -isp

## modconf 0.2.48

=== Makefile ===
--- 
+++ 
@@ -20,6 +20,8 @@
 charset-sv = iso-8859-1
 
 MANPAGES = modconf.8 modconf.8.pl modconf.8.fr modconf.8.es
+
+KERNELTREE=/usr/src/linux
 
 all:	descr.gz $(EVALTARGETS) #eval.gz
 
@@ -65,8 +67,8 @@
 	( cat build/kerneldsc ; debian/mkpcmciadesc.pl build/pcmcia-src) | sort | uniq > $@
 
 build/kerneldsc:
-	debian/mkkerneldesc.pl > build/kerneldsc
-	
+	debian/mkkerneldesc.pl "$(KERNELTREE)" > build/kerneldsc
+
 build/pcmcia-src:
 	mkdir -p build/pcmcia-src || true
 	zcat /usr/src/pcmcia-cs.tar.gz | tar -x -C build/pcmcia-src

=== debian/changelog ===
modconf (0.2.48) unstable; urgency=medium

  * Fix some XSI:sms in the scripts
  * Finally make the package auto-buildable after some prodding
    by means of RCness ;) (Closes: #235068) Upload with medium
    urgency for that fix
  * Some small clean-ups in debian/rules
  * Fix dependencies on modutils and module-init-tools
    thanks to Sebastian Schmidt (Closes: #295437)
  * Bug fix: "Starting modconf with Danish locale gives error messages",
    thanks to Morten Brix Pedersen (Closes: #286497)
  * Bug fix: "'man modconf' typos: "overriden" &
    "writting"", thanks to A Costa (Closes: #302753)
  * Remove the term 'GUI' from packages' description (Closes: #283799)
  * Escape some hyphens in manpages

 -- Frank Lichtenheld <djpig@debian.org>  Sat, 30 Apr 2005 22:57:41 +0200

=== debian/control ===
Source: modconf
Section: base
Priority: optional
Maintainer: Frank Lichtenheld <djpig@debian.org>
Build-Depends-Indep: pcmcia-source, kernel-tree-2.4.27
Standards-Version: 3.6.1

Package: modconf
Architecture: all
Depends: whiptail-provider | whiptail, modutils | module-init-tools
Conflicts: modutils (<< 2.1.85-14), module-init-tools (<< 3.1-pre2-1)
Description: Device Driver Configuration
 Modconf provides a terminal-based interface for installing and configuring
 device driver modules.

=== debian/rules ===
--- 
+++ 
@@ -11,15 +11,25 @@
 
 package=modconf
 
+# copied from kernel-image-i386
+version :=  $(shell \
+        sed -n 's/.*kernel-tree-\([^,]*\).*/\1/p; t e; b; :e q' \
+                debian/control \
+)
+
 build: build-stamp
 build-stamp:
 	$(checkdir)
-	make
+	[ -d build ] || mkdir build
+	cd build && tar xjf /usr/src/kernel-source-$(version).tar.bz2
+	cd build/kernel-source-$(version) && \
+		/usr/src/kernel-patches/all/$(version)/apply/debian $(version)
+	$(MAKE) KERNELTREE=$(CURDIR)/build/kernel-source-$(version)
 	touch build-stamp
 
 clean:
 	$(checkdir)
-	-make clean
+	-$(MAKE) clean
 	-rm -f `find . -name "*~"`
 	-rm -rf debian/tmp debian/files* core
 	-rm -f build-stamp
@@ -27,7 +37,7 @@
 binary-indep:	checkroot build
 	$(checkdir)
 	-rm -rf debian/tmp
-	make install DESTDIR=`pwd`/debian/tmp
+	$(MAKE) install DESTDIR=`pwd`/debian/tmp
 	install -d debian/tmp/usr/share/doc/$(package)
 	install -c -m 644 debian/copyright debian/tmp/usr/share/doc/$(package)/
 	install -c -m 644 debian/changelog debian/tmp/usr/share/doc/$(package)/

## modconf 0.2.49

=== debian/changelog ===
modconf (0.2.49) unstable; urgency=low

  * Change section to admin
  * Change debian/rules to use debhelper
  * Fix the --libdir option to actually make what the man page
    says it does. Introduce a new --contentdir option which
    actually does what the "old" --libdir option would have
    been done if there weren't a typo in the var...
  * Also use the --libdir option to find the modules, not
    only the eval files
  * Don't jump to the top of the main menu after returning from
    a sub menu (Closes: #175385, #232670)

 -- Frank Lichtenheld <djpig@debian.org>  Sat,  7 May 2005 02:45:48 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: modconf
-Section: base
+Section: admin
 Priority: optional
 Maintainer: Frank Lichtenheld <djpig@debian.org>
+Build-Depends: debhelper (>= 4)
 Build-Depends-Indep: pcmcia-source, kernel-tree-2.4.27
 Standards-Version: 3.6.1

=== debian/rules ===
#!/usr/bin/make -f

# copied from kernel-image-i386
version :=  $(shell \
        sed -n 's/.*kernel-tree-\([^,]*\).*/\1/p; t e; b; :e q' \
                debian/control \
)

build: build-stamp
build-stamp:
	dh_testdir
	[ -d build ] || mkdir build
	cd build && tar xjf /usr/src/kernel-source-$(version).tar.bz2
	cd build/kernel-source-$(version) && \
		/usr/src/kernel-patches/all/$(version)/apply/debian $(version)
	$(MAKE) KERNELTREE=$(CURDIR)/build/kernel-source-$(version)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	-$(MAKE) clean
	-rm -f build-stamp
	dh_clean

binary-indep: build
	dh_testdir
	dh_testroot
	dh_clean -k

	$(MAKE) install DESTDIR=$(CURDIR)/debian/modconf

	dh_installchangelogs
	dh_installdocs

	dh_compress
	dh_fixperms

	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch: build
# There are no architecture-dependent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

# Below here is fairly generic really
binary:		binary-indep binary-arch

.PHONY: binary binary-arch binary-indep clean checkroot
